commit:     e827ee625389c0f6648ea287b1e60922bade514c
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Fri Jul  8 04:50:47 2016 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Fri Jul  8 04:50:47 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e827ee62

dev-ruby/json: add 2.0.1

Use new slow even though code is API compatible, but
some dependencies list an explicit dependency on 1.x in
their gemspecs.

Package-Manager: portage-2.2.28

 dev-ruby/json/Manifest          |  1 +
 dev-ruby/json/json-2.0.1.ebuild | 74 +++++++++++++++++++++++++++++++++++++++++
 2 files changed, 75 insertions(+)

diff --git a/dev-ruby/json/Manifest b/dev-ruby/json/Manifest
index 61fe0cc..dcea2e3 100644
--- a/dev-ruby/json/Manifest
+++ b/dev-ruby/json/Manifest
@@ -1,2 +1,3 @@
 DIST json-1.8.2.gem 152064 SHA256 
256f73d107635f54e3dd84daba65da7b08f9d6a6e6aeb046db6a46b98bd8fb7f SHA512 
5c94ec2c5378f7f54cd87a2e265b058e80031d2dd29daf14639c80ba0ac285a527ab7961f5a2cd1e483f455fd8f8c88575950822b7b2d431aa7b2b9c8be819c1
 WHIRLPOOL 
dc17e0c011523434ed29e428a2658ebe58d08df8252e7ee8990882b6d17c19354b3e4ba6985a2a45e4b94932ad265698197ba64ef891f38d3be154da4edde8cb
 DIST json-1.8.3.gem 152064 SHA256 
8ca2091e26678fb989d66cdb9f0104f1307bc584b429c2fd783d51e4b3f14bdb SHA512 
313f6016aca5eba4d4a14a72b60b3e9c5e863a6681eb9e499cacedb63969694be563990af0a44dae52963f07b6e6c7aa7e0876ab1348b214f53d925bdc5e83ea
 WHIRLPOOL 
8c6dc26a578aedcd4bbc1e6ea95f2a72debe6bdaca5a4c2a4e70b81d9947048c6648b62d5546fa572084d37ba99ce199a177b87838be5cc3f11d8d0fa0f62a63
+DIST json-2.0.1.gem 138240 SHA256 
cbea6bfe7bf5162c0fb71f6b0ab2c3108ef05bd0ea7b2f98b1ed6d5a8e75bfee SHA512 
957ae157eb4a8c916cc931d397d65c29c7e2036eb407809861a448ba907252bb6ceb9b975c912328aeec846c9318d16eb13f5a4daaa817111fb25d2133c8e065
 WHIRLPOOL 
c2de4df8be59413fe8068d68a3ca00e195ac61c5b100f7c57334e0eefbdb1083fd2f342c41465abbf1bb68e5bf2a6da6b1831d7254363b6c2d283c89130a1227

diff --git a/dev-ruby/json/json-2.0.1.ebuild b/dev-ruby/json/json-2.0.1.ebuild
new file mode 100644
index 0000000..6b1f6c5
--- /dev/null
+++ b/dev-ruby/json/json-2.0.1.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+USE_RUBY="ruby20 ruby21 ruby22 ruby23"
+
+RUBY_FAKEGEM_RECIPE_DOC="rdoc"
+RUBY_FAKEGEM_EXTRADOC="CHANGES.md README.md"
+RUBY_FAKEGEM_DOCDIR="doc"
+
+RUBY_FAKEGEM_GEMSPEC="json.gemspec"
+
+inherit multilib ruby-fakegem
+
+DESCRIPTION="A JSON implementation as a Ruby extension"
+HOMEPAGE="https://github.com/flori/json";
+LICENSE="Ruby"
+
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc 
~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos 
~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+SLOT="2"
+IUSE=""
+
+RDEPEND="${RDEPEND}"
+DEPEND="${DEPEND}
+       dev-util/ragel"
+
+ruby_add_bdepend "dev-ruby/rake
+       doc? ( dev-ruby/rdoc )"
+
+all_ruby_prepare() {
+       # Avoid building the extension twice!
+       # And use rdoc instead of sdoc which we don't have packaged
+       # And don't call git to list files. We're using the pregenerated spec 
anyway.
+       sed -i \
+               -e '/task :test/ s|:compile,||' \
+               -e 's| => :clean||' \
+               -e 's|sdoc|rdoc|' \
+               -e 's|`git ls-files`|""|' \
+               Rakefile || die "rakefile fix failed"
+
+       # Remove hardcoded and broken -O setting.
+       sed -i -e '/^  \(if\|unless\)/,/^  end/ s:^:#:' \
+               -e '/^unless/,/^end/ s:^:#:' ext/json/ext/*/extconf.rb || die
+
+       # Avoid setting gem since it will not be available yet when installing
+       sed -i -e '/gem/ s:^:#:' tests/test_helper.rb || die
+}
+
+each_ruby_configure() {
+       for ext in parser generator ; do
+               ${RUBY} -Cext/json/ext/${ext} extconf.rb || die
+       done
+}
+
+each_ruby_compile() {
+       for ext in parser generator ; do
+               emake V=1 -Cext/json/ext/${ext}
+               cp ext/json/ext/${ext}/${ext}$(get_modname) ext/json/ext/ || die
+       done
+}
+
+each_ruby_test() {
+       for t in pure ext ; do
+               JSON=${T} ${RUBY} -S rake do_test_${t} || die
+       done
+}
+
+each_ruby_install() {
+       each_fakegem_install
+
+       ruby_fakegem_newins ext/json/ext/generator$(get_modname) 
lib/json/ext/generator$(get_modname)
+       ruby_fakegem_newins ext/json/ext/parser$(get_modname) 
lib/json/ext/parser$(get_modname)
+}

Reply via email to